%global mod_name jenkins-script-security-plugin
%global short_name script-security
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-script-security-plugin
Version:        1.13
Release:        2%{?dist}
Summary:        Jenkins Script Security Plugin

# from POM
License:        MIT
URL:            https://github.com/jenkinsci/script-security-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
Source1:        LICENSE

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(com.google.code.findbugs:annotations)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.kohsuke:groovy-sandbox)

BuildArch:      noarch

%description
This plugin allows Jenkins administrators to control what in-process
scripts can be run by less-privileged users.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{short_name}-plugin-%{short_name}-%{version}

find . -name "*.jar" -delete
cp %{SOURCE1} .

%mvn_package '::hpi::' __noinstall

%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

%build
# missing org.jenkins-ci:test-annotations
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
pushd %{buildroot}/%{plugin_home}/WEB-INF/lib/
  rm %{short_name}.jar
  xmvn-subst -s .
popd

%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%license LICENSE
%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Mar 31 2015 Michal Srb <msrb@redhat.com> - 1.13-2
- Install as a plugin

* Mon Mar 30 2015 Michal Srb <msrb@redhat.com> - 1.13-1
- Initial packaging

